#!/usr/bin/python

################################################################
#                                                              #
# Pcapteller - A packet manipulation & replay tool             #
# written by Juan J. Guelfo @ Encripto AS                      #
# post@encripto.no                                             #
#                                                              #
# Copyright 2015 Encripto AS. All rights reserved.             #
#                                                              #
# Pcapteller is licensed under the FreeBSD license.            #
# http://www.freebsd.org/copyright/freebsd-license.html        #
#                                                              #
################################################################


import os, sys, ipcalc, tellerout


def check_file_exists(filename):
    if not os.path.exists(filename):
        tellerout.print_error("File \"%s\" cannot be found.\n" % filename)
        sys.exit()

    if not os.path.isfile(filename):
        tellerout.print_error("File \"%s\" is a directory or not a regular file.\n" % filename)
        sys.exit()


def check_file_path(filename, parameter):
    if not os.path.exists(filename):
        raise IOError(parameter)


def check_ip_address(ip):
    legal = False
    try:
        subnet = ipcalc.Network(ip)
        legal = True

    except ValueError:
        legal = False

    return legal