#!/usr/bin/python

################################################################
#                                                              #
# Pcapteller - A packet manipulation & replay tool             #
# written by Juan J. Guelfo @ Encripto AS                      #
# post@encripto.no                                             #
#                                                              #
# Copyright 2015 Encripto AS. All rights reserved.             #
#                                                              #
# Pcapteller is licensed under the FreeBSD license.            #
# http://www.freebsd.org/copyright/freebsd-license.html        #
#                                                              #
################################################################

import os, sys

FILE_NOT_FOUND = "File cannot be found"


def print_ok(msg):
    print "\033[1;32m[+]\033[1;m {0}".format(msg)


def print_warning(msg):
    print "\033[1;33m[!]\033[1;m {0}".format(msg)

def print_error(msg):
    print "\033[1;31m[-]\033[1;m {0}".format(msg)


def print_info(msg):
    print "\033[1;34m[*]\033[1;m {0}".format(msg)


def print_title(msg):
    print "\033[1;37m{0}\033[1;m".format(msg)


def print_header(version, author):
    os.system("clear")

    print ""
    print " ================================================================= "
    print "|  Pcapteller v{0}: A packet manipulation & replay tool\t\t  |".format(version)
    print "|  by {0}\t\t  |".format(author)
    print " ================================================================= "
    print ""


def help(version, author):
    print_header(version, author)
    print """   Usage: python pcapteller.py [mandatory args]

   Mandatory args:
       -f  file         ...PCAP file to replay (must be in libpcap format)
       -i  interface    ...Network interface to replay the packets with
       -s  IP addr      ...IP address of the victim machine in the simulation
       -v  IP addr      ...IP address of the victim machine in reality (as shown in the PCAP file)

   Example:
       python pcapteller.py -f example.pcap -i eth0 -s 192.168.1.2 -v 10.20.30.40

       Pcapteller requires root (or sudo) privileges in order to replay packets.
    """
    sys.exit(0)